Index: src/arch/i386/boot/pirq_routing.c
===================================================================
--- src/arch/i386/boot/pirq_routing.c	(revision 5591)
+++ src/arch/i386/boot/pirq_routing.c	(working copy)
@@ -121,7 +121,11 @@
 
 			printk(BIOS_DEBUG, "INT: %c link: %x bitmap: %x  ",
 				'A' + j, link, bitmap);
-
+			// fix made by Marc Bertens <mbertens@xs4all.nl>
+			if (link > 0x5f) {
+				// This is basically for the 440BX
+				link -= 0x5f;
+			}
 			if (!bitmap|| !link || link > 4) {
 
 				printk(BIOS_DEBUG, "not routed\n");
